%global packname  gsl
%global packvers  1.9-10.3
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.9.10.3
Release:          1%{?dist}
Summary:          Wrapper for the Gnu Scientific Library

License:          GPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packvers}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:
# Suggests:
# LinkingTo:
# Enhances:

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    gsl-devel >= 1.12

%description
An R wrapper for the special functions and quasi random number generators of
the Gnu Scientific Library (http://www.gnu.org/software/gsl/). See
gsl-package.Rd for details of overall package organization, and Misc.Rd for
some functions that are widely used in the package.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/CITATION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Wed Jan 23 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.9.10.3-1
- initial package for Fedora
